漏洞信息详情

Python 多个缓冲区错误漏洞

  • CNNVD编号:CNNVD-200808-009
  • 危害等级: 高危
  • CVE编号: CVE-2008-3142
  • 漏洞类型: 缓冲区错误
  • 发布时间: 2008-07-31
  • 威胁类型: 远程
  • 更新时间: 2020-02-11
  • 厂        商: python_software_foundation
  • 漏洞来源: David Remahl※ vuln...

漏洞简介

Python是Python软件基金会的一套开源的、面向对象的程序设计语言。该语言具有可扩展、支持模块和包、支持多种平台等特点。

Python2.5.2之前版本中存在多个缓冲区溢出漏洞。 攻击者可利用超长字符串,使得unicode字符串处理中产生错误的内存分配,造成拒绝服务(崩溃)或其他未知影响。

漏洞公告

目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:

http://www.python.org/download/

参考网址

来源:http://nvd.nist.gov/nvd.cfm?cvename=CVE-2008-3142※http://www.securityfocus.com/bid/30491※http://www.nsfocus.net/vulndb/12215

链接:无

来源:www.suse.com

链接:https://www.suse.com/support/update/announcement/2020/suse-su-20200234-1.html

来源:www.auscert.org.au

链接:https://www.auscert.org.au/bulletins/ESB-2020.0296/

补丁

    暂无

漏洞信息快速查询

相关漏洞

更多